%define name xmms-sidplay
%define version 0.40
%define release %mkrel 13

Name:          %name
Version:       %version
Release:       %release
Summary:       SidPlay Output plugin for XMMS
Group:         Sound
URL:           http://www.lysator.liu.se/~hallon/sidplay.html
License:       GPL
BuildRequires: libxmms-devel
BuildRequires: sidplay-devel
Source:        %name-%version.tar.bz2
Patch:	       xmms-sidplay-0.40-linking.patch
BuildRequires: automake1.4
Requires:      xmms

%description
This is an input plugin for xmms based on libsidplay and is used to play 
Commodore 64 SID music. You can drag the slide bar to switch the subsongs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch
rm -f configure
automake-1.4
autoconf

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input
rm -f %buildroot%{_libdir}/xmms/Input/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/xmms/Input/libsidplay.so



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.40-13mdv2008.1
+ Revision: 130413
- kill re-definition of %%buildroot on Pixel's request


* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.40-13mdv2007.0
- drop menu entry

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.40-12mdk
- add menu entry

* Sun Jun 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.40-11mdk
- fix build
- rebuild

* Wed Nov 05 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.40-10mdk
- fix buildrequires

* Tue Oct 07 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.40-9mdk
- fix buildrequires and requires

